Package org.apache.tomcat.jdbc.pool.jmx

# Class JmxUtil

java.lang.Object
org.apache.tomcat.jdbc.pool.jmx.JmxUtil

public class JmxUtil extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JmxUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ObjectName`
  `registerJmx(ObjectName base, String keyprop, Object obj)`
  `static void`
  `unregisterJmx(ObjectName oname)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JmxUtil

    public JmxUtil()

- ## Method Details

  - ### registerJmx

    public static ObjectName registerJmx(ObjectName base, String keyprop, Object obj)

  - ### unregisterJmx

    public static void unregisterJmx(ObjectName oname)